Skip to main content
PATCH
/
v1
/
agents
/
{agentId}
curl --request PATCH \ --url https://eu1.api.matillion.com/dpc/v1/agents/{agentId} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "trackName": "STABLE" } '
{
  "type": "https://api.matillion.com/problems/bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "Failed to read request. Please check your request body.",
  "instance": "/v1/agents/{agentId}"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the agent to update

Body

application/json
description
string

The updated description to be applied to the Agent

Maximum string length: 500
Example:

"An AWS Agent"

enableAutoUpdates
string

Set whether the Agent should automatically update.

Note, Snowflake agents cannot have this value changed.

Example:

true

name
string

The updated name to be applied to the Agent

Required string length: 1 - 30
Example:

"AWS Agent"

restrictedAccess
string

Set whether the Agent should be restricted to a specific set of projects. If set to true, the Agent will only be applicable to projects it is scoped to have access to.

Note, this cannot be set for Streaming Agents.

Example:

true

trackName
enum<string>

The version track name to set for the Agent. Must be either CURRENT or STABLE.

Note, Snowflake agents cannot be updated.

Available options:
CURRENT,
STABLE
Example:

"CURRENT"

Response

Agent successfully updated